Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class DrawingGroupRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.AbstractEscherHolderRecord
                  org.apache.poi.hssf.record.DrawingGroupRecord

    public final class DrawingGroupRecord

extends AbstractEscherHolderRecord

Field Summary
`static short` | `sid`

Constructor Summary
`DrawingGroupRecord()`
`DrawingGroupRecord(RecordInputStream in)`

Method Summary
`int` | `getRecordSize()` gives the current serialized size of the record.
`short` | `getSid()` return the non static version of the id for this record.
`void` | `processChildRecords()` Process the bytes into escher records.
`int` | `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.

Methods inherited from class org.apache.poi.hssf.record.AbstractEscherHolderRecord
`addEscherRecord, addEscherRecord, clearEscherRecords, clone, decode, findFirstWithId, getEscherContainer, getEscherRecord, getEscherRecords, getRawData, join, processContinueRecord, setRawData, toString`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### DrawingGroupRecord

    public DrawingGroupRecord()

### DrawingGroupRecord

    public DrawingGroupRecord(RecordInputStream in)

Method Detail

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `AbstractEscherHolderRecord`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `RecordBase`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Overrides:
    `serialize` in class `AbstractEscherHolderRecord`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### processChildRecords

    public void processChildRecords()

  Process the bytes into escher records. (Not done by default in case we break things, unless you set the "poi.deserialize.escher" system property)

### getRecordSize

    public int getRecordSize()

  Description copied from class: `RecordBase`
  gives the current serialized size of the record. Should include the sid and reclength (4 bytes).

  Overrides:
    `getRecordSize` in class `AbstractEscherHolderRecord`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD